Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004843TestLinkAPI - XMLRPCpublic2011-12-19 14:172012-09-01 19:59
Reportermfuentes 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004843: 'getTestCasesForTestPlan' - add support for new argument 'details'
DescriptionThe method does not expose the 'details' parameter to specify Test Case details.

My fix merge request: https://gitorious.org/testlink-ga/testlink-code/merge_requests/3 [^]

TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)Independent
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0016175)
fman (administrator)
2011-12-26 09:13
edited on: 2011-12-26 09:37

@user
please be careful with documentation, on your request new paramenter is tagged boolean but is a string

I've found other minor glitch:

on official code domain for 'details' is full,summary,simple

your merge request said
domain for 'details' is full,summary,details.

IMHO this is a mistake.
please provide feedback to clarify

(0016176)
fman (administrator)
2011-12-26 11:56

1.9.x
http://gitorious.org/testlink-ga/testlink-code/commit/63487c86065554ac9a4d5b5a2fc73c0d234410c1 [^]
http://gitorious.org/testlink-ga/testlink-code/commit/4d17be62037695f3f44f6113d8444913c051ddd1 [^]
(0016178)
mfuentes (reporter)
2011-12-27 19:38

The 'details' domain comes from the options['details'] parameter in the tesplan.get_linked_tcversions(...) method.
(0017359)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-12-19 14:17 mfuentes New Issue
2011-12-26 09:12 fman Summary 'getTestCasesForTestPlan' does not support 'details' => 'getTestCasesForTestPlan' - add support for new argument 'details'
2011-12-26 09:12 fman Description Updated View Revisions
2011-12-26 09:13 fman Note Added: 0016175
2011-12-26 09:37 fman Note Edited: 0016175 View Revisions
2011-12-26 11:47 fman Assigned To => fman
2011-12-26 11:47 fman Status new => assigned
2011-12-26 11:56 fman Note Added: 0016176
2011-12-26 11:56 fman Product Version => 1.9.3 (2011 Q3 - bug fixing)
2011-12-26 11:56 fman Tag Attached: TO BE FIXED on 2.0
2011-12-27 19:38 mfuentes Note Added: 0016178
2011-12-28 08:06 fman Status assigned => resolved
2011-12-28 08:06 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-12-28 08:06 fman Resolution open => fixed
2012-09-01 19:59 fman Note Added: 0017359
2012-09-01 19:59 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker